## org.apache.batik.util.gui
Class DropDownComponent.ScrollablePopupMenuEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.util.gui.DropDownComponent.ScrollablePopupMenuEvent

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  DropDownComponent

    public static class DropDownComponent.ScrollablePopupMenuEvent

extends java.util.EventObject

Event to pass to listener.

See Also:
  Serialized Form

Field Summary
`static int` `ITEMS_ADDED`
`static int` `ITEMS_REMOVED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DropDownComponent.ScrollablePopupMenuEvent(java.lang.Object source, int type, int itemNumber, java.lang.String details)` Creates the ScrollablePopupMenuEvent.

Method Summary
`java.lang.String` `getDetails()` Gets the event details.
`int` `getItemNumber()` Gets the item number.
`int` `getType()` Gets the event type.
`void` `initEvent(int type, int itemNumber, java.lang.String details)` Initializes this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ITEMS_ADDED

    public static final int ITEMS_ADDED

See Also:
  Constant Field Values

### ITEMS_REMOVED

    public static final int ITEMS_REMOVED

See Also:
  Constant Field Values

Constructor Detail

### DropDownComponent.ScrollablePopupMenuEvent

    public DropDownComponent.ScrollablePopupMenuEvent(java.lang.Object source,
                                                      int type,
                                                      int itemNumber,
                                                      java.lang.String details)

  Creates the ScrollablePopupMenuEvent.

  Parameters:
    `source` - The source component
    `type` - The event type
    `itemNumber` - The item number
    `details` - The event details

Method Detail

### initEvent

    public void initEvent(int type,
                          int itemNumber,
                          java.lang.String details)

  Initializes this event.

### getDetails

    public java.lang.String getDetails()

  Gets the event details.

  Returns:
    the details

### getItemNumber

    public int getItemNumber()

  Gets the item number.

  Returns:
    the item number

### getType

    public int getType()

  Gets the event type.

  Returns:
    the type

Copyright © 2008 Apache Software Foundation. All Rights Reserved.